package com.steerinfo.ems.ifemsmesactitem.service;

import com.steerinfo.ems.ifemsmesactitem.model.IfEmsMesActitem;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * IfEmsMesActitem服务接口：
 * @author generator
 * @version 1.0-SNAPLong 2019-12-06 04:40
 * 类描述
 * 修订历史：
 * 日期：2019-12-06
 * 作者：generator
 * 参考：
 * 描述：IfEmsMesActitem服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IIfEmsMesActitemService extends IBaseService<IfEmsMesActitem, Long>{
    /**
     * 获取数据到能耗实绩确认表
     * @param params
     * @return
     */
    String getUploadData();
    Long getId();
    PageList<Map<String, Object>> queryPage(Map<String, Object> parameters, Integer pageNum, Integer pageSize);

    /**
     * 反写状态为2
     * @param model
     */
    void updateState(IfEmsMesActitem model);

    /**
     * 获取500能耗实绩数据
     * @return
     */
    List<IfEmsMesActitem> getDatatoMes();

    void insertParam(Map<String, Object> param);
    int updateParam(Map<String, Object> param);
    List<Map<String, Object>> selectParam(Map<String, Object> param);

    /**
     * 获取电量/氧气的指标
     * @return
     */
    void getindex();
}